Subject: bug#75645: Implement something like (bookmark-bmenu-list) for registers

From: Dani Moncayo <[email-masked]>
Date: Sat, 18 Jan 2025 14:49:55 +0100

By the way, I also miss a command to reset/clear the list of registers.

For now, I have the below code in my init file.  I find it useful when
I'm about to start a new research, and what to start anew with an
empty list of registers.

Something like this may be useful for others, I think.

-------
(defun clear-all-registers ()
  "Clear all registers."
  (interactive)
  (setq register-alist nil)
  (message "All registers have been cleared."))
(define-key global-map [?\C-x?r?a] 'clear-all-registers)

-- 
Dani Moncayo